<?xml version="1.0" encoding="us-ascii"?>
<!--Generated by EDGARfilings PROfile 4.3.3.1 Broadridge-->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:roleRef roleURI="http://smpcorp.com/role/EarningsPerShareDetails" xlink:type="simple" xlink:href="smp-20180331.xsd#EarningsPerShareDetails" />
  <link:roleRef roleURI="http://smpcorp.com/role/EmployeeBenefitsDetails" xlink:type="simple" xlink:href="smp-20180331.xsd#EmployeeBenefitsDetails" />
  <link:roleRef roleURI="http://smpcorp.com/role/AccumulatedOtherComprehensiveIncomeReclassifiedDetails" xlink:type="simple" xlink:href="smp-20180331.xsd#AccumulatedOtherComprehensiveIncomeReclassifiedDetails" />
  <link:roleRef roleURI="http://smpcorp.com/role/AccumulatedOtherComprehensiveIncomeDetails" xlink:type="simple" xlink:href="smp-20180331.xsd#AccumulatedOtherComprehensiveIncomeDetails" />
  <link:roleRef roleURI="http://smpcorp.com/role/CreditFacilitiesAndLongtermDebtTotalDebtOutstandingDetailsCalc2" xlink:type="simple" xlink:href="smp-20180331.xsd#CreditFacilitiesAndLongtermDebtTotalDebtOutstandingDetailsCalc2" />
  <link:roleRef roleURI="http://smpcorp.com/role/CreditFacilitiesAndLongtermDebtTotalDebtOutstandingDetails" xlink:type="simple" xlink:href="smp-20180331.xsd#CreditFacilitiesAndLongtermDebtTotalDebtOutstandingDetails" />
  <link:roleRef roleURI="http://smpcorp.com/role/AcquiredIntangibleAssetsDetails" xlink:type="simple" xlink:href="smp-20180331.xsd#AcquiredIntangibleAssetsDetails" />
  <link:roleRef roleURI="http://smpcorp.com/role/InventoriesDetails" xlink:type="simple" xlink:href="smp-20180331.xsd#InventoriesDetails" />
  <link:roleRef roleURI="http://smpcorp.com/role/ConsolidatedStatementsOfCashFlowsUnaudited" xlink:type="simple" xlink:href="smp-20180331.xsd#ConsolidatedStatementsOfCashFlowsUnaudited" />
  <link:roleRef roleURI="http://smpcorp.com/role/ConsolidatedBalanceSheetsUnaudited" xlink:type="simple" xlink:href="smp-20180331.xsd#ConsolidatedBalanceSheetsUnaudited" />
  <link:roleRef roleURI="http://smpcorp.com/role/ConsolidatedStatementsOfComprehensiveIncomeUnaudited" xlink:type="simple" xlink:href="smp-20180331.xsd#ConsolidatedStatementsOfComprehensiveIncomeUnaudited" />
  <link:roleRef roleURI="http://smpcorp.com/role/ConsolidatedStatementsOfOperationsUnaudited" xlink:type="simple" xlink:href="smp-20180331.xsd#ConsolidatedStatementsOfOperationsUnaudited" />
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/ConsolidatedStatementsOfOperationsUnaudited">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_EarningsPerShareBasic" xlink:label="EarningsPerShareBasic" xlink:title="EarningsPerShareBasic" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare" xlink:label="IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare" xlink:title="IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EarningsPerShareBasic" xlink:to="IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare" xlink:title="calculation: EarningsPerShareBasic to IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsPerBasicShare" xlink:label="IncomeLossFromContinuingOperationsPerBasicShare" xlink:title="IncomeLossFromContinuingOperationsPerBasicShare" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EarningsPerShareBasic" xlink:to="IncomeLossFromContinuingOperationsPerBasicShare" xlink:title="calculation: EarningsPerShareBasic to IncomeLossFromContinuingOperationsPerBasicShare" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="NetIncomeLoss" xlink:title="NetIncomeLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:label="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:title="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetIncomeLoss" xlink:to="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:title="calculation: NetIncomeLoss to IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromContinuingOperations" xlink:label="IncomeLossFromContinuingOperations" xlink:title="IncomeLossFromContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="IncomeTaxExpenseBenefit" xlink:title="IncomeTaxExpenseBenefit" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncomeLossFromContinuingOperations" xlink:to="IncomeTaxExpenseBenefit" xlink:title="calculation: IncomeLossFromContinuingOperations to IncomeTaxExpenseBenefit" order="1.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:label="IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:title="IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_InterestExpense" xlink:label="InterestExpense" xlink:title="InterestExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="InterestExpense" xlink:title="calculation: IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest to InterestExpense" order="1.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OperatingIncomeLoss" xlink:label="OperatingIncomeLoss" xlink:title="OperatingIncomeLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherOperatingIncome" xlink:label="OtherOperatingIncome" xlink:title="OtherOperatingIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingIncomeLoss" xlink:to="OtherOperatingIncome" xlink:title="calculation: OperatingIncomeLoss to OtherOperatingIncome" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_SellingGeneralAndAdministrativeExpense" xlink:label="SellingGeneralAndAdministrativeExpense" xlink:title="SellingGeneralAndAdministrativeExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingIncomeLoss" xlink:to="SellingGeneralAndAdministrativeExpense" xlink:title="calculation: OperatingIncomeLoss to SellingGeneralAndAdministrativeExpense" order="4.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_GrossProfit" xlink:label="GrossProfit" xlink:title="GrossProfit" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_CostOfGoodsSold" xlink:label="CostOfGoodsSold" xlink:title="CostOfGoodsSold" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GrossProfit" xlink:to="CostOfGoodsSold" xlink:title="calculation: GrossProfit to CostOfGoodsSold" order="1.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_SalesRevenueGoodsNet" xlink:label="SalesRevenueGoodsNet" xlink:title="SalesRevenueGoodsNet" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GrossProfit" xlink:to="SalesRevenueGoodsNet" xlink:title="calculation: GrossProfit to SalesRevenueGoodsNet" order="2.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingIncomeLoss" xlink:to="GrossProfit" xlink:title="calculation: OperatingIncomeLoss to GrossProfit" order="5.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_RestructuringSettlementAndImpairmentProvisions" xlink:label="RestructuringSettlementAndImpairmentProvisions" xlink:title="RestructuringSettlementAndImpairmentProvisions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingIncomeLoss" xlink:to="RestructuringSettlementAndImpairmentProvisions" xlink:title="calculation: OperatingIncomeLoss to RestructuringSettlementAndImpairmentProvisions" order="3.0" weight="-1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="OperatingIncomeLoss" xlink:title="calculation: IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest to OperatingIncomeLoss" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherNonoperatingIncomeExpense" xlink:label="OtherNonoperatingIncomeExpense" xlink:title="OtherNonoperatingIncomeExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="OtherNonoperatingIncomeExpense" xlink:title="calculation: IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest to OtherNonoperatingIncomeExpense" order="2.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncomeLossFromContinuingOperations" xlink:to="IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:title="calculation: IncomeLossFromContinuingOperations to IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" order="2.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetIncomeLoss" xlink:to="IncomeLossFromContinuingOperations" xlink:title="calculation: NetIncomeLoss to IncomeLossFromContinuingOperations" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_EarningsPerShareDiluted" xlink:label="EarningsPerShareDiluted" xlink:title="EarningsPerShareDiluted" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsPerDilutedShare" xlink:label="IncomeLossFromContinuingOperationsPerDilutedShare" xlink:title="IncomeLossFromContinuingOperationsPerDilutedShare" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EarningsPerShareDiluted" xlink:to="IncomeLossFromContinuingOperationsPerDilutedShare" xlink:title="calculation: EarningsPerShareDiluted to IncomeLossFromContinuingOperationsPerDilutedShare" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare" xlink:label="IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare" xlink:title="IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EarningsPerShareDiluted" xlink:to="IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare" xlink:title="calculation: EarningsPerShareDiluted to IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare" order="2.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/ConsolidatedStatementsOfComprehensiveIncomeUnaudited">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ComprehensiveIncomeNetOfTax" xlink:label="ComprehensiveIncomeNetOfTax" xlink:title="ComprehensiveIncomeNetOfTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:label="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:title="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" xlink:label="OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" xlink:title="OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" xlink:label="OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" xlink:title="OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" xlink:to="OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" xlink:title="calculation: OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent to OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" order="6.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" xlink:label="OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" xlink:title="OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" xlink:to="OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" xlink:title="calculation: OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent to OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" order="1.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" xlink:title="calculation: OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent to OtherComprehensiveIncomeDefinedBenefitPlansAdjustmentNetOfTaxPortionAttributableToParent" order="2.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax" xlink:label="OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax" xlink:title="OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax" xlink:title="calculation: OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent to OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax" order="1.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncomeNetOfTax" xlink:to="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:title="calculation: ComprehensiveIncomeNetOfTax to OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="NetIncomeLoss" xlink:title="NetIncomeLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncomeNetOfTax" xlink:to="NetIncomeLoss" xlink:title="calculation: ComprehensiveIncomeNetOfTax to NetIncomeLoss" order="1.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/ConsolidatedBalanceSheetsUnaudited">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_Assets" xlink:label="Assets" xlink:title="Assets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DeferredTaxAssetsNetNoncurrent" xlink:label="DeferredTaxAssetsNetNoncurrent" xlink:title="DeferredTaxAssetsNetNoncurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="DeferredTaxAssetsNetNoncurrent" xlink:title="calculation: Assets to DeferredTaxAssetsNetNoncurrent" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_Goodwill" xlink:label="Goodwill" xlink:title="Goodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="Goodwill" xlink:title="calculation: Assets to Goodwill" order="5.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IntangibleAssetsNetExcludingGoodwill" xlink:label="IntangibleAssetsNetExcludingGoodwill" xlink:title="IntangibleAssetsNetExcludingGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="IntangibleAssetsNetExcludingGoodwill" xlink:title="calculation: Assets to IntangibleAssetsNetExcludingGoodwill" order="4.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_AssetsCurrent" xlink:label="AssetsCurrent" xlink:title="AssetsCurrent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent" xlink:label="PrepaidExpenseAndOtherAssetsCurrent" xlink:title="PrepaidExpenseAndOtherAssetsCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="AssetsCurrent" xlink:to="PrepaidExpenseAndOtherAssetsCurrent" xlink:title="calculation: AssetsCurrent to PrepaidExpenseAndOtherAssetsCurrent" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_AccountsReceivableNetCurrent" xlink:label="AccountsReceivableNetCurrent" xlink:title="AccountsReceivableNetCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="AssetsCurrent" xlink:to="AccountsReceivableNetCurrent" xlink:title="calculation: AssetsCurrent to AccountsReceivableNetCurrent" order="4.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:label="CashAndCashEquivalentsAtCarryingValue" xlink:title="CashAndCashEquivalentsAtCarryingValue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="AssetsCurrent" xlink:to="CashAndCashEquivalentsAtCarryingValue" xlink:title="calculation: AssetsCurrent to CashAndCashEquivalentsAtCarryingValue" order="6.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_FIFOInventoryNet" xlink:label="FIFOInventoryNet" xlink:title="FIFOInventoryNet" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="AssetsCurrent" xlink:to="FIFOInventoryNet" xlink:title="calculation: AssetsCurrent to FIFOInventoryNet" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_UnreturnedCustomerInventories" xlink:label="UnreturnedCustomerInventories" xlink:title="UnreturnedCustomerInventories" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="AssetsCurrent" xlink:to="UnreturnedCustomerInventories" xlink:title="calculation: AssetsCurrent to UnreturnedCustomerInventories" order="5.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="AssetsCurrent" xlink:title="calculation: Assets to AssetsCurrent" order="7.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherAssetsNoncurrent" xlink:label="OtherAssetsNoncurrent" xlink:title="OtherAssetsNoncurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="OtherAssetsNoncurrent" xlink:title="calculation: Assets to OtherAssetsNoncurrent" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_PropertyPlantAndEquipmentNet" xlink:label="PropertyPlantAndEquipmentNet" xlink:title="PropertyPlantAndEquipmentNet" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="PropertyPlantAndEquipmentNet" xlink:title="calculation: Assets to PropertyPlantAndEquipmentNet" order="6.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures" xlink:label="InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures" xlink:title="InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures" xlink:title="calculation: Assets to InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:label="LiabilitiesAndStockholdersEquity" xlink:title="LiabilitiesAndStockholdersEquity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_StockholdersEquity" xlink:label="StockholdersEquity" xlink:title="StockholdersEquity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:label="RetainedEarningsAccumulatedDeficit" xlink:title="RetainedEarningsAccumulatedDeficit" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="StockholdersEquity" xlink:to="RetainedEarningsAccumulatedDeficit" xlink:title="calculation: StockholdersEquity to RetainedEarningsAccumulatedDeficit" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_AdditionalPaidInCapitalCommonStock" xlink:label="AdditionalPaidInCapitalCommonStock" xlink:title="AdditionalPaidInCapitalCommonStock" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="StockholdersEquity" xlink:to="AdditionalPaidInCapitalCommonStock" xlink:title="calculation: StockholdersEquity to AdditionalPaidInCapitalCommonStock" order="4.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_TreasuryStockValue" xlink:label="TreasuryStockValue" xlink:title="TreasuryStockValue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="StockholdersEquity" xlink:to="TreasuryStockValue" xlink:title="calculation: StockholdersEquity to TreasuryStockValue" order="1.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_CommonStockValue" xlink:label="CommonStockValue" xlink:title="CommonStockValue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="StockholdersEquity" xlink:to="CommonStockValue" xlink:title="calculation: StockholdersEquity to CommonStockValue" order="5.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" xlink:label="AccumulatedOtherComprehensiveIncomeLossNetOfTax" xlink:title="AccumulatedOtherComprehensiveIncomeLossNetOfTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="StockholdersEquity" xlink:to="AccumulatedOtherComprehensiveIncomeLossNetOfTax" xlink:title="calculation: StockholdersEquity to AccumulatedOtherComprehensiveIncomeLossNetOfTax" order="2.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesAndStockholdersEquity" xlink:to="StockholdersEquity" xlink:title="calculation: LiabilitiesAndStockholdersEquity to StockholdersEquity" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_Liabilities" xlink:label="Liabilities" xlink:title="Liabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherAccruedLiabilitiesNoncurrent" xlink:label="OtherAccruedLiabilitiesNoncurrent" xlink:title="OtherAccruedLiabilitiesNoncurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="OtherAccruedLiabilitiesNoncurrent" xlink:title="calculation: Liabilities to OtherAccruedLiabilitiesNoncurrent" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_LongTermDebtNoncurrent" xlink:label="LongTermDebtNoncurrent" xlink:title="LongTermDebtNoncurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="LongTermDebtNoncurrent" xlink:title="calculation: Liabilities to LongTermDebtNoncurrent" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_LitigationReserveNoncurrent" xlink:label="LitigationReserveNoncurrent" xlink:title="LitigationReserveNoncurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="LitigationReserveNoncurrent" xlink:title="calculation: Liabilities to LitigationReserveNoncurrent" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_LiabilitiesCurrent" xlink:label="LiabilitiesCurrent" xlink:title="LiabilitiesCurrent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherSundryLiabilitiesCurrent" xlink:label="OtherSundryLiabilitiesCurrent" xlink:title="OtherSundryLiabilitiesCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="OtherSundryLiabilitiesCurrent" xlink:title="calculation: LiabilitiesCurrent to OtherSundryLiabilitiesCurrent" order="5.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_EmployeeRelatedLiabilitiesCurrent" xlink:label="EmployeeRelatedLiabilitiesCurrent" xlink:title="EmployeeRelatedLiabilitiesCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="EmployeeRelatedLiabilitiesCurrent" xlink:title="calculation: LiabilitiesCurrent to EmployeeRelatedLiabilitiesCurrent" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_LongTermDebtCurrent" xlink:label="LongTermDebtCurrent" xlink:title="LongTermDebtCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="LongTermDebtCurrent" xlink:title="calculation: LiabilitiesCurrent to LongTermDebtCurrent" order="7.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_LinesOfCreditCurrent" xlink:label="LinesOfCreditCurrent" xlink:title="LinesOfCreditCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="LinesOfCreditCurrent" xlink:title="calculation: LiabilitiesCurrent to LinesOfCreditCurrent" order="8.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_AccruedRebates" xlink:label="AccruedRebates" xlink:title="AccruedRebates" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="AccruedRebates" xlink:title="calculation: LiabilitiesCurrent to AccruedRebates" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_AccountsPayableCurrent" xlink:label="AccountsPayableCurrent" xlink:title="AccountsPayableCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="AccountsPayableCurrent" xlink:title="calculation: LiabilitiesCurrent to AccountsPayableCurrent" order="6.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_AccruedCustomerReturns" xlink:label="AccruedCustomerReturns" xlink:title="AccruedCustomerReturns" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="AccruedCustomerReturns" xlink:title="calculation: LiabilitiesCurrent to AccruedCustomerReturns" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_AccruedCoreLiabilitiesCurrent" xlink:label="AccruedCoreLiabilitiesCurrent" xlink:title="AccruedCoreLiabilitiesCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesCurrent" xlink:to="AccruedCoreLiabilitiesCurrent" xlink:title="calculation: LiabilitiesCurrent to AccruedCoreLiabilitiesCurrent" order="4.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="LiabilitiesCurrent" xlink:title="calculation: Liabilities to LiabilitiesCurrent" order="4.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="LiabilitiesAndStockholdersEquity" xlink:to="Liabilities" xlink:title="calculation: LiabilitiesAndStockholdersEquity to Liabilities" order="2.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/ConsolidatedStatementsOfCashFlowsUnaudited">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:label="CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:title="CashAndCashEquivalentsPeriodIncreaseDecrease" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:label="NetCashProvidedByUsedInInvestingActivities" xlink:title="NetCashProvidedByUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_PaymentsForProceedsFromOtherInvestingActivities" xlink:label="PaymentsForProceedsFromOtherInvestingActivities" xlink:title="PaymentsForProceedsFromOtherInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInInvestingActivities" xlink:to="PaymentsForProceedsFromOtherInvestingActivities" xlink:title="calculation: NetCashProvidedByUsedInInvestingActivities to PaymentsForProceedsFromOtherInvestingActivities" order="5.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment" xlink:label="PaymentsToAcquirePropertyPlantAndEquipment" xlink:title="PaymentsToAcquirePropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInInvestingActivities" xlink:to="PaymentsToAcquirePropertyPlantAndEquipment" xlink:title="calculation: NetCashProvidedByUsedInInvestingActivities to PaymentsToAcquirePropertyPlantAndEquipment" order="3.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_PaymentsToAcquireBusinessesNetOfCashAcquired" xlink:label="PaymentsToAcquireBusinessesNetOfCashAcquired" xlink:title="PaymentsToAcquireBusinessesNetOfCashAcquired" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInInvestingActivities" xlink:to="PaymentsToAcquireBusinessesNetOfCashAcquired" xlink:title="calculation: NetCashProvidedByUsedInInvestingActivities to PaymentsToAcquireBusinessesNetOfCashAcquired" order="6.0" weight="-1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="NetCashProvidedByUsedInInvestingActivities" xlink:title="calculation: CashAndCashEquivalentsPeriodIncreaseDecrease to NetCashProvidedByUsedInInvestingActivities" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_EffectOfExchangeRateOnCashAndCashEquivalents" xlink:label="EffectOfExchangeRateOnCashAndCashEquivalents" xlink:title="EffectOfExchangeRateOnCashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="EffectOfExchangeRateOnCashAndCashEquivalents" xlink:title="calculation: CashAndCashEquivalentsPeriodIncreaseDecrease to EffectOfExchangeRateOnCashAndCashEquivalents" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:label="NetCashProvidedByUsedInFinancingActivities" xlink:title="NetCashProvidedByUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ProceedsFromRepaymentsOfLongTermDebtAndCapitalSecurities" xlink:label="ProceedsFromRepaymentsOfLongTermDebtAndCapitalSecurities" xlink:title="ProceedsFromRepaymentsOfLongTermDebtAndCapitalSecurities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInFinancingActivities" xlink:to="ProceedsFromRepaymentsOfLongTermDebtAndCapitalSecurities" xlink:title="calculation: NetCashProvidedByUsedInFinancingActivities to ProceedsFromRepaymentsOfLongTermDebtAndCapitalSecurities" order="8.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_PaymentsOfDividendsCommonStock" xlink:label="PaymentsOfDividendsCommonStock" xlink:title="PaymentsOfDividendsCommonStock" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInFinancingActivities" xlink:to="PaymentsOfDividendsCommonStock" xlink:title="calculation: NetCashProvidedByUsedInFinancingActivities to PaymentsOfDividendsCommonStock" order="1.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ProceedsFromRepaymentsOfBankOverdrafts" xlink:label="ProceedsFromRepaymentsOfBankOverdrafts" xlink:title="ProceedsFromRepaymentsOfBankOverdrafts" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInFinancingActivities" xlink:to="ProceedsFromRepaymentsOfBankOverdrafts" xlink:title="calculation: NetCashProvidedByUsedInFinancingActivities to ProceedsFromRepaymentsOfBankOverdrafts" order="9.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_PaymentsForRepurchaseOfCommonStock" xlink:label="PaymentsForRepurchaseOfCommonStock" xlink:title="PaymentsForRepurchaseOfCommonStock" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInFinancingActivities" xlink:to="PaymentsForRepurchaseOfCommonStock" xlink:title="calculation: NetCashProvidedByUsedInFinancingActivities to PaymentsForRepurchaseOfCommonStock" order="5.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ProceedsFromRepaymentsOfLinesOfCredit" xlink:label="ProceedsFromRepaymentsOfLinesOfCredit" xlink:title="ProceedsFromRepaymentsOfLinesOfCredit" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInFinancingActivities" xlink:to="ProceedsFromRepaymentsOfLinesOfCredit" xlink:title="calculation: NetCashProvidedByUsedInFinancingActivities to ProceedsFromRepaymentsOfLinesOfCredit" order="4.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="NetCashProvidedByUsedInFinancingActivities" xlink:title="calculation: CashAndCashEquivalentsPeriodIncreaseDecrease to NetCashProvidedByUsedInFinancingActivities" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:label="NetCashProvidedByUsedInOperatingActivities" xlink:title="NetCashProvidedByUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" xlink:label="IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" xlink:title="IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" order="4.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncreaseDecreaseInDeferredIncomeTaxes" xlink:label="IncreaseDecreaseInDeferredIncomeTaxes" xlink:title="IncreaseDecreaseInDeferredIncomeTaxes" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncreaseDecreaseInDeferredIncomeTaxes" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncreaseDecreaseInDeferredIncomeTaxes" order="10.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ShareBasedCompensation" xlink:label="ShareBasedCompensation" xlink:title="ShareBasedCompensation" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="ShareBasedCompensation" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to ShareBasedCompensation" order="13.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ProvisionForDoubtfulAccounts" xlink:label="ProvisionForDoubtfulAccounts" xlink:title="ProvisionForDoubtfulAccounts" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="ProvisionForDoubtfulAccounts" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to ProvisionForDoubtfulAccounts" order="19.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_EmployeeStockOwnershipPlanESOPCompensationExpense" xlink:label="EmployeeStockOwnershipPlanESOPCompensationExpense" xlink:title="EmployeeStockOwnershipPlanESOPCompensationExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="EmployeeStockOwnershipPlanESOPCompensationExpense" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to EmployeeStockOwnershipPlanESOPCompensationExpense" order="14.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromEquityMethodInvestments" xlink:label="IncomeLossFromEquityMethodInvestments" xlink:title="IncomeLossFromEquityMethodInvestments" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncomeLossFromEquityMethodInvestments" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncomeLossFromEquityMethodInvestments" order="22.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DepreciationDepletionAndAmortization" xlink:label="DepreciationDepletionAndAmortization" xlink:title="DepreciationDepletionAndAmortization" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="DepreciationDepletionAndAmortization" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to DepreciationDepletionAndAmortization" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_InventoryWriteDown" xlink:label="InventoryWriteDown" xlink:title="InventoryWriteDown" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="InventoryWriteDown" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to InventoryWriteDown" order="18.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsReceivable" xlink:label="IncreaseDecreaseInAccountsReceivable" xlink:title="IncreaseDecreaseInAccountsReceivable" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncreaseDecreaseInAccountsReceivable" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncreaseDecreaseInAccountsReceivable" order="7.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_AmortizationOfFinancingCosts" xlink:label="AmortizationOfFinancingCosts" xlink:title="AmortizationOfFinancingCosts" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="AmortizationOfFinancingCosts" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to AmortizationOfFinancingCosts" order="11.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="NetIncomeLoss" xlink:title="NetIncomeLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="NetIncomeLoss" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to NetIncomeLoss" order="21.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncreaseDecreaseInInventories" xlink:label="IncreaseDecreaseInInventories" xlink:title="IncreaseDecreaseInInventories" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncreaseDecreaseInInventories" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncreaseDecreaseInInventories" order="6.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:label="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:title="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" order="9.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_GainLossOnSaleOfPropertyPlantEquipment" xlink:label="GainLossOnSaleOfPropertyPlantEquipment" xlink:title="GainLossOnSaleOfPropertyPlantEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="GainLossOnSaleOfPropertyPlantEquipment" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to GainLossOnSaleOfPropertyPlantEquipment" order="17.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingCapitalNet" xlink:label="IncreaseDecreaseInOtherOperatingCapitalNet" xlink:title="IncreaseDecreaseInOtherOperatingCapitalNet" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncreaseDecreaseInOtherOperatingCapitalNet" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncreaseDecreaseInOtherOperatingCapitalNet" order="1.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncreaseDecreaseInAccruedLiabilities" xlink:label="IncreaseDecreaseInAccruedLiabilities" xlink:title="IncreaseDecreaseInAccruedLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncreaseDecreaseInAccruedLiabilities" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncreaseDecreaseInAccruedLiabilities" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsPayable" xlink:label="IncreaseDecreaseInAccountsPayable" xlink:title="IncreaseDecreaseInAccountsPayable" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetCashProvidedByUsedInOperatingActivities" xlink:to="IncreaseDecreaseInAccountsPayable" xlink:title="calculation: NetCashProvidedByUsedInOperatingActivities to IncreaseDecreaseInAccountsPayable" order="3.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="NetCashProvidedByUsedInOperatingActivities" xlink:title="calculation: CashAndCashEquivalentsPeriodIncreaseDecrease to NetCashProvidedByUsedInOperatingActivities" order="4.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/InventoriesDetails">
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_FIFOInventoryNetWithUnreturnedCustomerInventories" xlink:label="FIFOInventoryNetWithUnreturnedCustomerInventories" xlink:title="FIFOInventoryNetWithUnreturnedCustomerInventories" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_FIFOInventoryNet" xlink:label="FIFOInventoryNet" xlink:title="FIFOInventoryNet" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_InventoryFinishedGoodsNetOfReserves" xlink:label="InventoryFinishedGoodsNetOfReserves" xlink:title="InventoryFinishedGoodsNetOfReserves" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FIFOInventoryNet" xlink:to="InventoryFinishedGoodsNetOfReserves" xlink:title="calculation: FIFOInventoryNet to InventoryFinishedGoodsNetOfReserves" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_InventoryWorkInProcessNetOfReserves" xlink:label="InventoryWorkInProcessNetOfReserves" xlink:title="InventoryWorkInProcessNetOfReserves" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FIFOInventoryNet" xlink:to="InventoryWorkInProcessNetOfReserves" xlink:title="calculation: FIFOInventoryNet to InventoryWorkInProcessNetOfReserves" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_InventoryRawMaterialsNetOfReserves" xlink:label="InventoryRawMaterialsNetOfReserves" xlink:title="InventoryRawMaterialsNetOfReserves" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FIFOInventoryNet" xlink:to="InventoryRawMaterialsNetOfReserves" xlink:title="calculation: FIFOInventoryNet to InventoryRawMaterialsNetOfReserves" order="3.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FIFOInventoryNetWithUnreturnedCustomerInventories" xlink:to="FIFOInventoryNet" xlink:title="calculation: FIFOInventoryNetWithUnreturnedCustomerInventories to FIFOInventoryNet" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_UnreturnedCustomerInventories" xlink:label="UnreturnedCustomerInventories" xlink:title="UnreturnedCustomerInventories" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FIFOInventoryNetWithUnreturnedCustomerInventories" xlink:to="UnreturnedCustomerInventories" xlink:title="calculation: FIFOInventoryNetWithUnreturnedCustomerInventories to UnreturnedCustomerInventories" order="1.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/AcquiredIntangibleAssetsDetails">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_FiniteLivedIntangibleAssetsNet" xlink:label="FiniteLivedIntangibleAssetsNet" xlink:title="FiniteLivedIntangibleAssetsNet" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization" xlink:label="FiniteLivedIntangibleAssetsAccumulatedAmortization" xlink:title="FiniteLivedIntangibleAssetsAccumulatedAmortization" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FiniteLivedIntangibleAssetsNet" xlink:to="FiniteLivedIntangibleAssetsAccumulatedAmortization" xlink:title="calculation: FiniteLivedIntangibleAssetsNet to FiniteLivedIntangibleAssetsAccumulatedAmortization" order="2.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_FiniteLivedIntangibleAssetsGross" xlink:label="FiniteLivedIntangibleAssetsGross" xlink:title="FiniteLivedIntangibleAssetsGross" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FiniteLivedIntangibleAssetsNet" xlink:to="FiniteLivedIntangibleAssetsGross" xlink:title="calculation: FiniteLivedIntangibleAssetsNet to FiniteLivedIntangibleAssetsGross" order="1.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/CreditFacilitiesAndLongtermDebtTotalDebtOutstandingDetails">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DebtAndCapitalLeaseObligations" xlink:label="DebtAndCapitalLeaseObligations" xlink:title="DebtAndCapitalLeaseObligations" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_OtherDebt" xlink:label="OtherDebt" xlink:title="OtherDebt" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DebtAndCapitalLeaseObligations" xlink:to="OtherDebt" xlink:title="calculation: DebtAndCapitalLeaseObligations to OtherDebt" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_LineOfCredit" xlink:label="LineOfCredit" xlink:title="LineOfCredit" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DebtAndCapitalLeaseObligations" xlink:to="LineOfCredit" xlink:title="calculation: DebtAndCapitalLeaseObligations to LineOfCredit" order="0.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/CreditFacilitiesAndLongtermDebtTotalDebtOutstandingDetailsCalc2">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DebtAndCapitalLeaseObligations" xlink:label="DebtAndCapitalLeaseObligations" xlink:title="DebtAndCapitalLeaseObligations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_CapitalLeaseObligationsNoncurrent" xlink:label="CapitalLeaseObligationsNoncurrent" xlink:title="CapitalLeaseObligationsNoncurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DebtAndCapitalLeaseObligations" xlink:to="CapitalLeaseObligationsNoncurrent" xlink:title="calculation: DebtAndCapitalLeaseObligations to CapitalLeaseObligationsNoncurrent" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DebtCurrent" xlink:label="DebtCurrent" xlink:title="DebtCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DebtAndCapitalLeaseObligations" xlink:to="DebtCurrent" xlink:title="calculation: DebtAndCapitalLeaseObligations to DebtCurrent" order="0.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/AccumulatedOtherComprehensiveIncomeDetails">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:label="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:title="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:label="ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:title="ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:title="calculation: OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent to ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" order="1.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OciBeforeReclassificationsNetOfTaxAttributableToParent" xlink:label="OciBeforeReclassificationsNetOfTaxAttributableToParent" xlink:title="OciBeforeReclassificationsNetOfTaxAttributableToParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="OciBeforeReclassificationsNetOfTaxAttributableToParent" xlink:title="calculation: OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent to OciBeforeReclassificationsNetOfTaxAttributableToParent" order="0.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/AccumulatedOtherComprehensiveIncomeReclassifiedDetails">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:label="ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:title="ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax" xlink:label="OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax" xlink:title="OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossAmortizationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetPriorServiceCostCreditBeforeTax" xlink:label="OtherComprehensiveIncomeLossAmortizationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetPriorServiceCostCreditBeforeTax" xlink:title="OtherComprehensiveIncomeLossAmortizationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetPriorServiceCostCreditBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax" xlink:to="OtherComprehensiveIncomeLossAmortizationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetPriorServiceCostCreditBeforeTax" xlink:title="calculation: OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax to OtherComprehensiveIncomeLossAmortizationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetPriorServiceCostCreditBeforeTax" order="2.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" xlink:label="OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" xlink:title="OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax" xlink:to="OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" xlink:title="calculation: OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax to OtherComprehensiveIncomeLossReclassificationAdjustmentFromAOCIPensionAndOtherPostretirementBenefitPlansForNetGainLossBeforeTax" order="1.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:to="OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax" xlink:title="calculation: ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent to OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansAdjustmentBeforeTax" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" xlink:label="OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" xlink:title="OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:to="OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" xlink:title="calculation: ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent to OtherComprehensiveIncomeDefinedBenefitPlansTaxPortionAttributableToParent" order="2.0" weight="-1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/EmployeeBenefitsDetails">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DefinedBenefitPlanNetPeriodicBenefitCost" xlink:label="DefinedBenefitPlanNetPeriodicBenefitCost" xlink:title="DefinedBenefitPlanNetPeriodicBenefitCost" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DefinedBenefitPlanAmortizationOfPriorServiceCostCredit" xlink:label="DefinedBenefitPlanAmortizationOfPriorServiceCostCredit" xlink:title="DefinedBenefitPlanAmortizationOfPriorServiceCostCredit" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DefinedBenefitPlanNetPeriodicBenefitCost" xlink:to="DefinedBenefitPlanAmortizationOfPriorServiceCostCredit" xlink:title="calculation: DefinedBenefitPlanNetPeriodicBenefitCost to DefinedBenefitPlanAmortizationOfPriorServiceCostCredit" order="3.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DefinedBenefitPlanInterestCost" xlink:label="DefinedBenefitPlanInterestCost" xlink:title="DefinedBenefitPlanInterestCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DefinedBenefitPlanNetPeriodicBenefitCost" xlink:to="DefinedBenefitPlanInterestCost" xlink:title="calculation: DefinedBenefitPlanNetPeriodicBenefitCost to DefinedBenefitPlanInterestCost" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DefinedBenefitPlanActuarialGainLoss" xlink:label="DefinedBenefitPlanActuarialGainLoss" xlink:title="DefinedBenefitPlanActuarialGainLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DefinedBenefitPlanNetPeriodicBenefitCost" xlink:to="DefinedBenefitPlanActuarialGainLoss" xlink:title="calculation: DefinedBenefitPlanNetPeriodicBenefitCost to DefinedBenefitPlanActuarialGainLoss" order="4.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_DefinedBenefitPlanServiceCost" xlink:label="DefinedBenefitPlanServiceCost" xlink:title="DefinedBenefitPlanServiceCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DefinedBenefitPlanNetPeriodicBenefitCost" xlink:to="DefinedBenefitPlanServiceCost" xlink:title="calculation: DefinedBenefitPlanNetPeriodicBenefitCost to DefinedBenefitPlanServiceCost" order="1.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://smpcorp.com/role/EarningsPerShareDetails">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:label="WeightedAverageNumberOfDilutedSharesOutstanding" xlink:title="WeightedAverageNumberOfDilutedSharesOutstanding" />
    <link:loc xlink:type="locator" xlink:href="smp-20180331.xsd#smp_IncrementalCommonSharesAttributableToRestrictedAndPerformanceStock" xlink:label="IncrementalCommonSharesAttributableToRestrictedAndPerformanceStock" xlink:title="IncrementalCommonSharesAttributableToRestrictedAndPerformanceStock" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="IncrementalCommonSharesAttributableToRestrictedAndPerformanceStock" xlink:title="calculation: WeightedAverageNumberOfDilutedSharesOutstanding to IncrementalCommonSharesAttributableToRestrictedAndPerformanceStock" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:label="WeightedAverageNumberOfSharesOutstandingBasic" xlink:title="WeightedAverageNumberOfSharesOutstandingBasic" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="WeightedAverageNumberOfSharesOutstandingBasic" xlink:title="calculation: WeightedAverageNumberOfDilutedSharesOutstanding to WeightedAverageNumberOfSharesOutstandingBasic" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic" xlink:label="NetIncomeLossAvailableToCommonStockholdersBasic" xlink:title="NetIncomeLossAvailableToCommonStockholdersBasic" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromContinuingOperations" xlink:label="IncomeLossFromContinuingOperations" xlink:title="IncomeLossFromContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetIncomeLossAvailableToCommonStockholdersBasic" xlink:to="IncomeLossFromContinuingOperations" xlink:title="calculation: NetIncomeLossAvailableToCommonStockholdersBasic to IncomeLossFromContinuingOperations" order="1.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:label="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:title="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetIncomeLossAvailableToCommonStockholdersBasic" xlink:to="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:title="calculation: NetIncomeLossAvailableToCommonStockholdersBasic to IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" order="2.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2017/elts/us-gaap-2017-01-31.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:label="NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:title="NetIncomeLossAvailableToCommonStockholdersDiluted" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:to="IncomeLossFromContinuingOperations" xlink:title="calculation: NetIncomeLossAvailableToCommonStockholdersDiluted to IncomeLossFromContinuingOperations" order="1.0" weight="1.0" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:to="IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" xlink:title="calculation: NetIncomeLossAvailableToCommonStockholdersDiluted to IncomeLossFromDiscontinuedOperationsNetOfTaxAttributableToReportingEntity" order="2.0" weight="1.0" />
  </link:calculationLink>
</link:linkbase>
